Subject: bug#44273: "total used in directory 19 available 5.2 GiB"

From: Michael Albinus <[email-masked]>
Date: Fri, 30 Oct 2020 15:54:53 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> >> My suggestion is to not display the line by default.  People who do find
>> >> it useful can switch it on (but I doubt they exist in large numbers).
>> >
>> > An alternative would be to replace this line with a similar one, but
>> > in which the units are under our control, and can be spelled out.
>>
>> This could decrease performance, because you need to calculate the size
>> of all files there.
>
> Since a user option is being discussed, we could have this an opt-in
> feature controlled by that option.  Since most users aren't annoyed by
> the original value (as evidenced by the lack of complaints until now),
> we can assume the few who are motivated to see a value with units will
> agree to pay something in performance.

Well, let's see how it goes. Tramp will follow the decisions.

Best regards, Michael.